Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000100Bananian Linux[All Projects] Generalpublic2015-01-18 11:062015-04-04 13:34
Reporterchris303 
Assigned ToNico 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version15.01 
Target Version15.04Fixed in Version15.04 
Summary0000100: ttyS4 und usbc0 overlapping in fex (Banana Pro)
DescriptionttyS4 can't be enabled because the Ports are overlapping with usbc0

the following Change works for me (for ttyS4 - usbc0 NOT TESTED)

[uart_para4]
uart_used = 1
uart_port = 4
uart_type = 2
uart_tx = port:PH04<4><1><default><default>
uart_rx = port:PH05<4><1><default><default>

[usbc0]
usb_used = 1
usb_port_type = 2
usb_detect_type = 1
usb_id_gpio = port:PH03<0><1><default><default>
usb_det_vbus_gpio = port:PH26<0><0><default><default>
usb_drv_vbus_gpio = port:PB09<1><0><default><0>
usb_restrict_gpio =
usb_host_init_state = 0
usb_restric_flag = 0
usb_restric_voltage = 3550000
usb_restric_capacity = 5

Original usbc0 from 15.01:

[usbc0]
usb_used = 1
usb_port_type = 2
usb_detect_type = 1
usb_id_gpio = port:PH04<0><1><default><default>
usb_det_vbus_gpio = "axp_ctrl"
usb_drv_vbus_gpio = port:PB09<1><0><default><0>
usb_ac_enable_gpio = port:PH05<1><0><default><0> # <<<< overlap !!!
usb_restrict_gpio = 0
usb_host_init_state = 0
usb_restric_flag = 0
usb_restric_voltage = 3550000
usb_restric_capacity = 5
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000191)
Nico (manager)
2015-04-04 13:34

https://github.com/Bananian/fex/commit/b0f6a5d0f5774b8a4b0895639cd9e28cdf65c8ef [^]
https://github.com/Bananian/fex/commit/cc8609c0fc7a41140491ac6fe8f10bcc4369945b [^]

- Issue History
Date Modified Username Field Change
2015-01-18 11:06 chris303 New Issue
2015-02-27 10:17 Nico Assigned To => Nico
2015-02-27 10:17 Nico Status new => assigned
2015-02-27 10:17 Nico Target Version => 15.04
2015-04-04 13:34 Nico Note Added: 0000191
2015-04-04 13:34 Nico Status assigned => resolved
2015-04-04 13:34 Nico Fixed in Version => 15.04
2015-04-04 13:34 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker